% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Tenth chapter ***************************
%*****************************************************************

\chapter{Conclusions}
\label{ch:conclusions}

% ********************** Define Graphics Path ********************
    %\graphicspath{Chapter9/Figures}

The \ac{GNSS} has been mostly considered as a reliable navigation technology providing absolute positioning with good accuracy, precision, continuity and reliability. However, \ac{GNSS}-based navigation is characterized by critical limitations due to the intrinsic nature of the system (e.g. poor satellite visibility, low signal quality due to atmospheric impairments and multipath). Among these, \ac{GNSS} navigation in harsh environment was addressed as one of the major challenge to the quality of the positioning solution. A considerable effort has been focused on the improvement of this technology at any system level (ground segment, space segment, augmentation systems). In the last decade, absolute positioning determination is slowly becoming less relevant in new paradigms such as autonomous driving, however, the effectiveness of situational awareness, surroundings sensing and recent applications is still a challenging task to be accomplished effectively without contemplating \ac{GNSS}. The advent of sophisticated algorithms providing sensor fusion addressed the compensation for the weakness of \ac{GNSS} thus fuelling new effort in research towards \ac{PNT}. Fundamental research on \ac{GNSS} has been dropped up to the disclosure of raw measurements from mass market devices which opened a range of opportunities in the fields and allowing in parallel to rise paradigms belonging to different fields such as robotics and multi-agent systems.

In parallel with the advances in sensor fusion and complementary positioning systems, \ac{CP} has been conceived in the last decades as a paradigm for the localization of navigating users relying on the exchange of independent information. The basic approach is addressed to the estimation of relative position and the sharing of these data among networked agents through ad-hoc communication channels or permanent network infrastructures. 
With this in mind, it was natural in this work to consider the exploitation of redundant visible satellites among interconnected users (i.e. collaborative agents) as a powerful resource for the improvement of \ac{GNSS}-based solutions. 

% ----- CONCLUSIONS

This study was indeed based on the concept of networked \ac{GNSS} receivers being able to share \ac{GNSS} measurements to enable 
enhanced positioning and navigation capabilities. The theoretical limits of a collaborative \ac{DGNSS} were presented 
in Chapter \ref{ch:theoreticalResults} and according to these findings, the exchange of pseudorange measurements has been demonstrated as a source of auxiliary information for networked receiver.

A set of \ac{DGNSS} strategies were implemented to combine such measurements into relative distance measurements among networked \ac{GNSS} receivers.
Well-known Single Difference and Double Difference baseline estimation methods were compared with a novel geometrical solution suitable for reduced visibility environment. A comparison of the statistical properties of the techniques was pursued to provide the most suitable solution to \ac{CP}.   

This thesis investigated the proposed \ac{CP} paradigm by looking mostly at the position estimation. Such a vector quantity is surely the most appealing for \ac{LBS} and receivers in general. However, the approach can be extended to the velocity estimation of cooperating kinematic agents exploiting collaborative differential velocity computation through independent, correlated Doppler measurements.
Such a solution could be effective the reduce the dependency of the velocity determination to sensors and odometers, thus presenting the same advantages of \ac{GNSS}-only enhanced positioning. Doppler measurements are considerably more stable both for high-end and mass market receivers and this aspect could lead to outstanding performance.

According to the results presented in this thesis by means of numerical simulation, and assessed through realistic simulations and through real-time implementation, in Chapter \ref{ch:proofOfConcept}, a proof of the benefits led by cooperative enhancement in \ac{GNSS} positioning can be clearly remarked, even in case of ultra low-cost receivers embedded in smartphones. 
Moreover, many further improvements were suggested to improve positioning and navigation performance of the proposed \ac{CP} framework in order to avoid non-profitable integration, thus turning the technique into a robust solution in the next development steps. 

\section{Further works}

Among the potential extensions of this work addressing a prototype for the paradigm, it is worthy to mention the development of multi-constellation and multi-frequency algorithms for improved inter-agent distance estimation, the analysis of the geometrical displacement of both satellites and agents through the estimation of the precision bound for correlated/uncorrelated ranging information and the development of advanced filtering of the raw measurements exchanged among the agents.
Despite of the clear contributions provided towards improved GNSS-only positioning and navigation, the proposed framework, CAPS.loc, can also open a variety of possibilities for centralized/distributed real-time processing of \ac{GNSS} raw measurements in different class of receivers. 
Among the potential applications we can mention collaborative anti-spoofing techniques based on outliers detection, a source of big-data about monitoring of ionospheric indexes or for real-time mapping of the quality of \ac{GNSS} positioning in harsh context. Furthermore, the implementation of this \ac{CP} paradigm provided a baseline for further scientific investigation on state-of-the art cooperative algorithm inherited from different fields which could support a sustainable \ac{GNSS} navigation in the near future.  


%
%
%
%As discussed in the previous chapter of this thesis, \ac{GNSS} absolute positioning can benefit from the integration of external observation of the state of a given agent (i.e. position, heading) or transmitting inter-vehicular measurements, which can be obtained directly (i.e. UWB, Lidar, Sonar), or in a cooperative fashion. Collaborative or cooperative baseline computation solutions have been hence investigated to overcome the Line-of-Sight (LoS) limitation in the sensing of the surrounding environment through direct measurements. In the conceived framework the focus is on collaborative techniques, which uniquely exploit the pieces of information involved in the \ac{GNSS}-based positioning process, without the need of additional sensors. 
%The problem of a profitably usage redundant information exchanged within a network of \ac{GNSS}-users has been defined \ac{GNSS}-based \ac{CP}. 
%
%A key aspect in the cooperative positioning of swarm of agents is the computation of inter-agent ranges, which can be used as auxiliary information to mutually improve localization performance (Nilsson et al 2013). Most of the literature on the topic provides integration solution of existing radio/visual ranging technologies. Although such hardware-based solutions are effective for the purpose, a set of research contributions has shown that the exchange of \ac{GNSS} measurements and navigation data can be considered to estimate terrestrial collaborative range measurements between networked receivers, as discussed in \ref{ch:rangingAlgorithms}. A set of techniques has been hence investigated to determine the distance between cooperating agents by exchanging GNSS-only data and applying differential estimation algorithms to solve for the inter-vehicle distance (Tahir et al 2018). The main methods for range estimation through GNSS observables were summarized in \ref{ch:rangingAlgorithms} with the minimum number of satellite that must be observed by cooperating agents.
%
%All the techniques are based on the evaluation of the modulus of a displacement vector between pairs of cooperating agents. Due to the nature of the problem, the algorithms require three or more equation thus, three or more shared satellites. Since this condition cannot be easily satisfied in dense urban scenarios, a less demanding collaborative strategy was proposed to overcome the limited availability of shareable satellites. The Inter-Agent Range discussed in (Minetto et al 2017, Minetto and Dovis 2018) relies on the cooperation between pairs of \ac{GNSS} receivers exploiting even one only shared satellite. As shown in Figure 21 the sharing of information is performed along with the motion of the two independent systems relying on predictive navigation stages tailored to compensate for time inconsistency of data introduced by the latency of the communication channel.
%
%Multiple inter-agent measurements can be used to improve the estimation of the distance w.r.t. a collaborating agent before it is integrated in a further navigation algorithm. The goodness of inter-agent range measurements directly affects the quality of the positioning information in a potential hybrid localization algorithm (i.e. legacy satellite pseudorange and terrestrial range are used) such as the navigation filters presented in Chapter \ref{ch:navFilters}. The measurement can be tightly integrated through Least Mean Square-based algorithm for Position-Time-Velocity solution, which is suitable for static applications. Alternatively, the integration can be afforded by a set of popular techniques for range integration in positioning algorithm in dynamic scenarios (i.e. Extended Kalman Filter or EKF, Unscented Kalman Filter or UKF, Particle Filter). A possible integration scheme that exploits an EKF-based integration is presented in Figure 22. Such architecture is effective in particular for the mitigation of GNSS positioning service unavailability, as it is rather frequent in urban scenarios due to the lack of a sufficient number of satellites. In order to cope with the constraint of the communication infrastructure, the Roundtrip-Time (RTT) of the communication link is considered by the predictive stage on the left, which estimates the position relying on the dynamics model and on all the available pseudorange measurements.

%\section{Future activities}
%
%\begin{itemize}
%\item Doppler exchange
%\item Selection Policies
%\end{itemize}
